Using USB-8473 and USB-8502 with One LabVIEW VI

Updated Sep 12, 2018

Reported In

Hardware

  • USB-8473
  • USB-8502

Software

  • LabVIEW

Driver

  • NI-CAN
  • NI-XNET

Issue Details

I am using USB-8502 and my application is working perfectly. Why is the same application not working with USB-8473?

Solution

There are a lot of products in the NI-CAN family. Many of them require a different type of drivers than the others.
In this case, USB-8502 requires NI-XNET while for USB-8473 you need to use NI-CAN.

To use both devices with the same application follow the steps:
 
  1. Install the newest version of NI-XNET driver.
  2. If you already have NI-XNET, install NI-XNET Compatibility Library for NI-CAN. In order to do that, follow the instructions included in Knowledge Article.
Now, your application is able to handle both types of devices.

Additional Information

All required driver versions and other additional data about the NI-CAN family you can find in NI-CAN Product Compatibility and Feature Table.

WAS THIS ARTICLE HELPFUL?

Not Helpful